@use '../../../global/styles/typography';
@use '../../../global/styles/border';

:host {
	// @include digi-navigation-tabs--variables;
	--digi--navigation-tabs--padding: var(--digi--padding--medium) var(--digi--padding--largest);
	--digi--navigation-tabs--box-shadow--selected: inset 0 -4px 0 0 var(--digi--color--border--secondary);
	--digi--navigation-tabs--divider--color--indicator: var(--digi--global--color--neutral--grayscale--darkest-2);
	--digi--navigation-tabs--divider: 1px solid var(--digi--navigation-tabs--divider--color--indicator);
	--digi--navigation-tabs--background-color--active: var(--digi--color--background--neutral-1);
	--digi--navigation-tabs--background-color--indicator: var(--digi--navigation-tabs--background-color--active);
	--digi--navigation-tabs--tab--border: none;
	--digi--navigation-tabs--tab--background-color: transparent;
}

.digi-navigation-tabs__tablist {
	display: flex;
	align-items: flex-end;
	gap: var(--digi--padding--medium);
}

.digi-navigation-tabs__tab {
	@include typography.heading-4;

	min-width: calc(var(--digi--global--spacing--smaller-2) * 15); // 150px
	text-align: center;
	padding: var(--digi--global--spacing--smallest) var(--digi--global--spacing--largest-4);
	background: var(--digi--color--background--neutral-1);
	border: var(--digi--navigation-tabs--tab--border);
	border-radius: var(--digi--border-radius--primary) var(--digi--border-radius--primary) 0 0;
	color: var(--digi--color--background--inverted-1);

	&[aria-selected] {
		background: var(--digi--color--background--inverted-1);
		color: var(--digi--color--text--inverted);
		padding-block-start: var(--digi--global--spacing--smaller);
	}

	&:focus {
		outline: none;
	}

	&:not([aria-selected]):hover {
		background-color: var(--digi--global--color--profile--purple--opacity15);
	}

	&:focus-visible {
		outline: var(--digi--focus-outline);
	}
}

.digi-navigation-tabs__tab-text {
	position: relative;
	top: calc(var(--digi--global--spacing--smallest-5) * -1);
}
